Loading...
Searching...
No Matches
box Struct Reference

`#include <interval.h>`

## Public Member Functions

| box ()
| box (box *)
| ~box ()
box & | setInterval (int, interval *)

## Data Fields

interval ** | intervals
ring | R

## Detailed Description

Definition at line 21 of file interval.h.

## Constructor & Destructor Documentation

## box() [1/2]

box::box | ( |  | ) |

Definition at line 75 of file interval.cc.

{
R = currRing;
int i, n = R->N;
intervals = (interval**) omAlloc0(n * sizeof(interval*));
if (intervals != NULL)
{
for (i = 0; i < n; i++)
{
intervals[i] = new interval();
}
}
rIncRefCnt(R);
}
i
int i
Definition cfEzgcd.cc:132
interval
int SI_MOD_INIT interval(SModulFunctions *psModulFunctions)
Definition interval.cc:1215
omAlloc0
#define omAlloc0(size)
Definition omAllocDecl.h:211
NULL
#define NULL
Definition omList.c:12
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13
rIncRefCnt
static ring rIncRefCnt(ring r)
Definition ring.h:849
box::R
ring R
Definition interval.h:24
box::intervals
interval ** intervals
Definition interval.h:23

## box() [2/2]

box::box | ( | box * | B | ) |

Definition at line 90 of file interval.cc.

{
R = rIncRefCnt(B->R);
int i, n = R->N;
intervals = (interval**) omAlloc0(n * sizeof(interval*));
if (intervals != NULL)
{
for (i = 0; i < n; i++)
{
intervals[i] = new interval(B->intervals[i]);
}
}
}
B
b *CanonicalForm B
Definition facBivar.cc:52

## ~box()

box::~box | ( |  | ) |

Definition at line 104 of file interval.cc.

{
int i, n = R->N;
for (i = 0; i < n; i++)
{
delete intervals[i];
}
omFree((void**) intervals);
rDecRefCnt(R);
}
omFree
#define omFree(addr)
Definition omAllocDecl.h:261
rDecRefCnt
static void rDecRefCnt(ring r)
Definition ring.h:850

## Member Function Documentation

## setInterval()

box & box::setInterval | ( | int | i,
|  | interval * | I )

Definition at line 116 of file interval.cc.

{
if (0 <= i && i < R->N)
{
delete intervals[i];
intervals[i] = I;
}
return *this;
}
N
const CanonicalForm CFMap CFMap & N
Definition cfEzgcd.cc:56

## Field Documentation

## intervals

interval** box::intervals

Definition at line 23 of file interval.h.

## R

ring box::R

Definition at line 24 of file interval.h.

The documentation for this struct was generated from the following files:

- Singular/dyn_modules/interval/interval.h
- Singular/dyn_modules/interval/interval.cc